[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TCanvas.Refresh

Sets Pen, Brush, and Font handles to their default values.

## Declaration

Source position: graphics.pp line 1095

`public procedure TCanvas.Refresh; virtual;`

## Description

Calls DeselectHandles to reset the handles to their default values. Requires a valid Handle for the canvas. Saved handles for the Pen, Brush, and Font are released.